<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns="http://www.ote-cr.cz/schema/sfvot/expimp" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:ote="http://www.ote-cr.cz/schema/globals" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" targetNamespace="http://www.ote-cr.cz/schema/sfvot/expimp" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:import namespace="http://www.ote-cr.cz/schema/globals" schemaLocation="./ote_globals.xsd"/>
	<xs:import namespace="http://www.w3.org/2000/09/xmldsig#" schemaLocation="./xmldsig-core-schema.xsd"/>
	<xs:element name="SFVOTDTEXPIMP">
		<xs:annotation>
			<xs:documentation xml:lang="CS">Hlavni element spolecny pro vsechny financni reporty</xs:documentation>
			<xs:documentation xml:lang="EN">Root element containing basic message data</xs:documentation>
		</xs:annotation>
		<xs:complexType>
			<xs:sequence>
				<xs:element name="SenderIdentification" type="ote:SenderIdentificationType">
					<xs:annotation>
						<xs:documentation xml:lang="CS">Identifikace odesilatele zpravy, tzn. OTE, a.s.</xs:documentation>
						<xs:documentation xml:lang="EN">EAN13 Sender identification - OTE, a.s.</xs:documentation>
					</xs:annotation>
				</xs:element>
				<xs:element name="ReceiverIdentification" type="ote:ReceiverIdentificationType">
					<xs:annotation>
						<xs:documentation xml:lang="CS">Identifikace prijemce, resp. odesilatele pozadavku</xs:documentation>
						<xs:documentation xml:lang="EN">Message receiver identification</xs:documentation>
					</xs:annotation>
				</xs:element>
				<xs:element name="Reference" type="ote:ReferenceType" minOccurs="0">
					<xs:annotation>
						<xs:documentation xml:lang="CS">Reference na předešlou zprávu. Pokud není element obsažen v cílovém XML nebyl report generován na základě XML požadavku.</xs:documentation>
						<xs:documentation xml:lang="EN">Reference to the previous message, if any.</xs:documentation>
					</xs:annotation>
				</xs:element>
				<xs:element name="Dt_expimp">
					<xs:annotation>
						<xs:documentation xml:lang="CS">Seznam započetných pohledávek a závazků DT export-import</xs:documentation>
						<xs:documentation xml:lang="EN">Day-ahead market export-import</xs:documentation>
					</xs:annotation>
					<xs:complexType>
						<xs:sequence>
							<xs:element name="Rut" minOccurs="0">
								<xs:annotation>
									<xs:documentation xml:lang="CS">Data participanta</xs:documentation>
									<xs:documentation xml:lang="EN">Participant data</xs:documentation>
								</xs:annotation>
								<xs:complexType>
									<xs:sequence>
										<xs:element name="TradeDay" minOccurs="0" maxOccurs="unbounded">
											<xs:annotation>
												<xs:documentation xml:lang="CS">Data participanta</xs:documentation>
												<xs:documentation xml:lang="EN">Participant data</xs:documentation>
											</xs:annotation>
											<xs:complexType>
												<xs:sequence>
													<xs:element name="Data" maxOccurs="unbounded">
														<xs:annotation>
															<xs:documentation xml:lang="CS">Data dle obchodních dnů</xs:documentation>
															<xs:documentation xml:lang="EN">Data by trade date</xs:documentation>
														</xs:annotation>
														<xs:complexType>
															<xs:attribute name="contractType">
																<xs:annotation>
																	<xs:documentation xml:lang="CS">Typ kontraktu (0 nákup, 1 prodej)</xs:documentation>
																	<xs:documentation xml:lang="EN">Settlement type (0 purchase, 1 sale)</xs:documentation>
																</xs:annotation>
																<xs:simpleType>
																	<xs:restriction base="xs:string">
																		<xs:enumeration value="Import"/>
																		<xs:enumeration value="Export"/>
																	</xs:restriction>
																</xs:simpleType>
															</xs:attribute>
															<xs:attribute name="origAmount" type="xs:decimal">
																<xs:annotation>
																	<xs:documentation xml:lang="CS">Částka s daní</xs:documentation>
																	<xs:documentation xml:lang="EN">The amount with tax</xs:documentation>
																</xs:annotation>
															</xs:attribute>
															<xs:attribute name="origAmountNet" type="xs:decimal">
																<xs:annotation>
																	<xs:documentation xml:lang="CS">Částka bez DPH</xs:documentation>
																	<xs:documentation xml:lang="EN">The amount without VAT</xs:documentation>
																</xs:annotation>
															</xs:attribute>
															<xs:attribute name="origCurr">
																<xs:annotation>
																	<xs:documentation xml:lang="CS">Měna</xs:documentation>
																	<xs:documentation xml:lang="EN">Currency</xs:documentation>
																</xs:annotation>
																<xs:simpleType>
																	<xs:restriction base="xs:string">
																		<xs:enumeration value="CZK"/>
																		<xs:enumeration value="EUR"/>
																	</xs:restriction>
																</xs:simpleType>
															</xs:attribute>
															<xs:attribute name="origVat" type="xs:decimal">
																<xs:annotation>
																	<xs:documentation xml:lang="CS">DPH</xs:documentation>
																	<xs:documentation xml:lang="EN">VAT</xs:documentation>
																</xs:annotation>
															</xs:attribute>
															<xs:attribute name="tradeDate" type="xs:date" use="required">
																<xs:annotation>
																	<xs:documentation xml:lang="CS">Datum obchodu</xs:documentation>
																	<xs:documentation xml:lang="EN">Trade date</xs:documentation>
																</xs:annotation>
															</xs:attribute>
															<xs:attribute name="tradeType" use="required">
																<xs:annotation>
																	<xs:documentation xml:lang="CS">
                                                Typ obchodu
                                                DSK - DT export-import
                                                DS- - DT export-import - odběr
                                                DS+ - DT export-import - dodávka
                                                DS0 - DT export-import (netting)
                                                                    </xs:documentation>
																	<xs:documentation xml:lang="EN">
                                                Trade type
                                                 DSK - DT export-import
                                                 DS- - DT export-import - consumption
                                                 DS+ - DT export-import - supply
                                                 DS0 - DT export-import (netting)
                                                                    </xs:documentation>
																</xs:annotation>
																<xs:simpleType>
																	<xs:restriction base="xs:string">
																		<xs:enumeration value="DSK"/>
																		<xs:enumeration value="DS-"/>
                                                                        <xs:enumeration value="DS+"/>
                                                                        <xs:enumeration value="DS0"/>
																	</xs:restriction>
																</xs:simpleType>
															</xs:attribute>
															<xs:attribute name="volume" type="xs:decimal">
																<xs:annotation>
																	<xs:documentation xml:lang="CS">Množství</xs:documentation>
																	<xs:documentation xml:lang="EN">Volume</xs:documentation>
																</xs:annotation>
															</xs:attribute>
														</xs:complexType>
													</xs:element>
													<xs:element name="Summary_daily">
														<xs:annotation>
															<xs:documentation xml:lang="CS">Denní součet</xs:documentation>
															<xs:documentation xml:lang="EN">Daily summary</xs:documentation>
														</xs:annotation>
														<xs:complexType>
															<xs:attribute name="valueDate" type="xs:date" use="required">
																<xs:annotation>
																	<xs:documentation xml:lang="CS">Datum splatnosti</xs:documentation>
																	<xs:documentation xml:lang="EN">Value date</xs:documentation>
																</xs:annotation>
															</xs:attribute>
															<xs:attribute name="payment" type="xs:decimal" use="required">
																<xs:annotation>
																	<xs:documentation xml:lang="CS">Částka s daní</xs:documentation>
																	<xs:documentation xml:lang="EN">The amount with tax</xs:documentation>
																</xs:annotation>
															</xs:attribute>
															<xs:attribute name="varSymb" type="xs:string" use="required">
																<xs:annotation>
																	<xs:documentation xml:lang="CS">Variabilní symbol</xs:documentation>
																	<xs:documentation xml:lang="EN">Reference #</xs:documentation>
																</xs:annotation>
															</xs:attribute>
															<xs:attribute name="saldoResult">
																<xs:annotation>
																	<xs:documentation xml:lang="CS">Výsledek obchodu</xs:documentation>
																	<xs:documentation xml:lang="EN">Trade result</xs:documentation>
																</xs:annotation>
																<xs:simpleType>
																	<xs:restriction base="xs:string">
																		<xs:enumeration value="Import"/>
																		<xs:enumeration value="Export"/>
																	</xs:restriction>
																</xs:simpleType>
															</xs:attribute>
														</xs:complexType>
													</xs:element>
												</xs:sequence>
											</xs:complexType>
										</xs:element>
									</xs:sequence>
									<xs:attribute name="dic" type="xs:string">
										<xs:annotation>
											<xs:documentation xml:lang="CS">DIČ</xs:documentation>
											<xs:documentation xml:lang="EN">TAX number</xs:documentation>
										</xs:annotation>
									</xs:attribute>
									<xs:attribute name="ean" type="xs:string">
										<xs:annotation>
											<xs:documentation xml:lang="CS">EAN identifikace participanta</xs:documentation>
											<xs:documentation xml:lang="EN">EAN participant identification</xs:documentation>
										</xs:annotation>
									</xs:attribute>
									<xs:attribute name="ic" type="xs:string">
										<xs:annotation>
											<xs:documentation xml:lang="CS">IČ</xs:documentation>
											<xs:documentation xml:lang="EN">Registration number</xs:documentation>
										</xs:annotation>
									</xs:attribute>
									<xs:attribute name="id" type="xs:integer">
										<xs:annotation>
											<xs:documentation xml:lang="CS">Jednoznačný identifikátor účastníka trhu</xs:documentation>
											<xs:documentation xml:lang="EN">The participant's unique id</xs:documentation>
										</xs:annotation>
									</xs:attribute>
									<xs:attribute name="name" type="xs:string">
										<xs:annotation>
											<xs:documentation xml:lang="CS">Zkrácený název účastníka trhu</xs:documentation>
											<xs:documentation xml:lang="EN">The participant's short name</xs:documentation>
										</xs:annotation>
									</xs:attribute>
								</xs:complexType>
							</xs:element>
							<xs:element name="Summary" minOccurs="0">
								<xs:annotation>
									<xs:documentation xml:lang="CS">Celkový součet</xs:documentation>
									<xs:documentation xml:lang="EN">Total summary</xs:documentation>
								</xs:annotation>
								<xs:complexType>
									<xs:attribute name="payment" type="xs:decimal">
										<xs:annotation>
											<xs:documentation xml:lang="CS">Částka s daní</xs:documentation>
											<xs:documentation xml:lang="EN">The amount with tax</xs:documentation>
										</xs:annotation>
									</xs:attribute>
									<xs:attribute name="origAmount" type="xs:decimal">
										<xs:annotation>
											<xs:documentation xml:lang="CS">Částka s daní</xs:documentation>
											<xs:documentation xml:lang="EN">The amount with tax</xs:documentation>
										</xs:annotation>
									</xs:attribute>
									<xs:attribute name="origAmountNet" type="xs:decimal">
										<xs:annotation>
											<xs:documentation xml:lang="CS">Částka bez DPH</xs:documentation>
											<xs:documentation xml:lang="EN">The amount without VAT</xs:documentation>
										</xs:annotation>
									</xs:attribute>
									<xs:attribute name="origCurr">
										<xs:annotation>
											<xs:documentation xml:lang="CS">Měna</xs:documentation>
											<xs:documentation xml:lang="EN">Currency</xs:documentation>
										</xs:annotation>
										<xs:simpleType>
											<xs:restriction base="xs:string">
												<xs:enumeration value="CZK"/>
												<xs:enumeration value="EUR"/>
											</xs:restriction>
										</xs:simpleType>
									</xs:attribute>
									<xs:attribute name="origVat" type="xs:decimal" use="required">
										<xs:annotation>
											<xs:documentation xml:lang="CS">DPH</xs:documentation>
											<xs:documentation xml:lang="EN">VAT</xs:documentation>
										</xs:annotation>
									</xs:attribute>
									<xs:attribute name="saldoResult">
										<xs:annotation>
											<xs:documentation xml:lang="CS">Výsledek obchodu</xs:documentation>
											<xs:documentation xml:lang="EN">Trade result</xs:documentation>
										</xs:annotation>
										<xs:simpleType>
											<xs:restriction base="xs:string">
												<xs:enumeration value="Import"/>
												<xs:enumeration value="Export"/>
											</xs:restriction>
										</xs:simpleType>
									</xs:attribute>
									<xs:attribute name="volume" type="xs:decimal" use="required">
										<xs:annotation>
											<xs:documentation xml:lang="CS">Množství</xs:documentation>
											<xs:documentation xml:lang="EN">Volume</xs:documentation>
										</xs:annotation>
									</xs:attribute>
								</xs:complexType>
							</xs:element>
						</xs:sequence>
						<xs:attribute name="date" type="xs:date" use="required">
							<xs:annotation>
								<xs:documentation xml:lang="CS"/>
								<xs:documentation xml:lang="EN"/>
							</xs:annotation>
						</xs:attribute>
						<xs:attribute name="currency">
							<xs:annotation>
								<xs:documentation xml:lang="CS">Měna</xs:documentation>
								<xs:documentation xml:lang="EN">Currency</xs:documentation>
							</xs:annotation>
							<xs:simpleType>
								<xs:restriction base="xs:string">
									<xs:enumeration value="CZK"/>
									<xs:enumeration value="EUR"/>
								</xs:restriction>
							</xs:simpleType>
						</xs:attribute>
						<xs:attribute name="title" type="xs:string">
							<xs:annotation>
								<xs:documentation xml:lang="CS">Název reportu</xs:documentation>
								<xs:documentation xml:lang="EN">Report title</xs:documentation>
							</xs:annotation>
						</xs:attribute>
					</xs:complexType>
				</xs:element>
				<xs:element ref="ds:Signature" minOccurs="0"/>
			</xs:sequence>
			<xs:attribute name="answer-required" type="xs:boolean" use="required">
				<xs:annotation>
					<xs:documentation xml:lang="CS">Indikace pozadavku na odpoved</xs:documentation>
					<xs:documentation xml:lang="EN">Indication of request for response 1=YES, 0=NO</xs:documentation>
				</xs:annotation>
			</xs:attribute>
			<xs:attribute name="date-time" type="xs:dateTime" use="required">
				<xs:annotation>
					<xs:documentation xml:lang="CS">Datum a cas zpravy</xs:documentation>
					<xs:documentation xml:lang="EN">Date and time of message</xs:documentation>
				</xs:annotation>
			</xs:attribute>
			<xs:attribute name="dtd-release" type="xs:string" use="required" fixed="1">
				<xs:annotation>
					<xs:documentation xml:lang="CS">Rezervovano pro pristi verze. Zatim konstanta '1'</xs:documentation>
					<xs:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xs:documentation>
				</xs:annotation>
			</xs:attribute>
			<xs:attribute name="dtd-version" type="xs:unsignedByte" use="required" fixed="1">
				<xs:annotation>
					<xs:documentation xml:lang="CS">Rezervovano pro pristiverze. Zatim konstanta '1'</xs:documentation>
					<xs:documentation xml:lang="EN">Reserved for incoming versions; so far a constant '1'</xs:documentation>
				</xs:annotation>
			</xs:attribute>
			<xs:attribute name="id" type="ote:msg-id" use="required">
				<xs:annotation>
					<xs:documentation xml:lang="CS">Identifikator zpravy</xs:documentation>
					<xs:documentation xml:lang="EN">Message identification</xs:documentation>
				</xs:annotation>
			</xs:attribute>
			<xs:attribute name="message-code" use="required">
				<xs:annotation>
					<xs:documentation xml:lang="CS">Kod zpravy upresnujici obsah zpravy.</xs:documentation>
					<xs:documentation xml:lang="EN">Message code that specifies the message content.</xs:documentation>
				</xs:annotation>
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:enumeration value="429">
							<xs:annotation>
								<xs:documentation xml:lang="CS">Report zapoctenych pohledavek a zavazku</xs:documentation>
								<xs:documentation xml:lang="EN">Report of figured receivables and liabilities</xs:documentation>
							</xs:annotation>
						</xs:enumeration>
					</xs:restriction>
				</xs:simpleType>
			</xs:attribute>
		</xs:complexType>
	</xs:element>
</xs:schema>
